c Example mixed language programming, calling a MASM 6.13 assembly language
c procedure from CVF.
c Written by Harry E. Bell of Bell Software and Services
c for unlimited use and distribution.
c
c This sample demonstrates the most simple interaction between MASM and
c  Fortran.
c Note the interface block describing the assembly language routine.
c

!dec$ attributes STDCALL, ALIAS:'_Test2@4' :: test2
      interface
	integer*4 function test2 (ii)
	 integer*4 ii
	end function
      end interface

      integer*4 i,ii
	 ii = 2
       i = test2 (ii)
c The result should be 7
       write(*,*) i
      end
